The following shows how to generate the security-analytics-edns-traffic-by-time report using either the Reporting API's Generate a report POST operation or the Get a cacheable report GET operation. Details about each report's supported products, metrics, filters, and available data intervals are also available dynamically by running the API's Get a report type operation, also shown below. See also other available reports.
Report definition
This report shows all DNS requests, requests with NXDOMAIN responses, and requests that do not have NXDOMAIN responses.
This report allows you to configure the aggregation interval for each data record. Available interval values are: MONTH, WEEK, DAY, HOUR, FIVE_MINUTES.
Business object: edns
Data available for: 90 days
Available metrics
| Metric | Description |
|---|---|
| Data metrics | |
nxdomainsPerSecond | Number of detected NXDOMAINs per second. |
okRequestsPerSecond | Number of DNS requests (per second) where no threat was detected. |
requestsPerSecond | Number of all DNS requests per second. |
| Summary metrics | |
avgNxdomainsPerSecond | Average number of NXDOMAINs per second. |
avgOkPerSecond | Average number of DNS requests (per second) where no threat was detected. |
maxNxdomainsPerSecond | Maximum number of NXDOMAINs (per second) that were detected. |
maxOkPerSecond | Maximum number of DNS requests (per second) where no threat was detected. |
minNxdomainsPerSecond | Minimum number of NXDOMAINs detected per second. |
minOkPerSecond | Minimum number of DNS requests (per second) where no threat was detected. |
nxdomainPercent | Percent of traffic where NXDOMAINs were detected. |
totalNxdomains | Total number of detected NXDOMAINs. |
totalOkRequests | Total number of DNS requests where no threat was detected. |
totalRequests | Total number of DNS requests. |
POST request
POST /reporting-api/v1/reports/security-analytics-edns-traffic-by-time/versions/2/report-data{?start,end,interval}
Sample: /reporting-api/v1/reports/security-analytics-edns-traffic-by-time/versions/2/report-data?start=2026-03-10T13%3A55%3A00Z&end=2026-03-10T14%3A15%3A00Z&interval=FIVE_MINUTES
For other granularity, you need to adjust start and end dates:
Sample with longer interval: /reporting-api/v1/reports/security-analytics-edns-traffic-by-time/versions/2/report-data?start=2025-11-01&end=2026-03-01&interval=MONTH
Query parameters
| Parameter | Type | Sample | Description |
|---|---|---|---|
| Required | |||
start | String | 2026-03-10T13:55:00Z | Specifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value’s timestamp. |
end | String | 2026-03-10T14:15:00Z | Specifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value’s timestamp. |
interval | Enumeration | FIVE_MINUTES | The duration of each data record. Available values: MONTH, WEEK, DAY, HOUR, FIVE_MINUTES. |
JSON request members
| Member | Type | Description |
|---|---|---|
objectIds | Array | Specifies the set of edns values you want to report on. |
objectIds | Enumeration | As an alternative to an array of ID values, specify all as a string for unfiltered data. Either way, objectIds is required. |
metrics | Array | The set of desired metrics. If omitted, the report includes all available metrics. |
Request body:
{
"objectIds": [
"www.example.com",
"m.example.com",
"blog.example.com"
],
"metrics": [
"avgNxdomainsPerSecond",
"avgOkPerSecond",
"maxNxdomainsPerSecond",
"maxOkPerSecond",
"minNxdomainsPerSecond",
"minOkPerSecond",
"nxdomainPercent",
"nxdomainsPerSecond",
"okRequestsPerSecond",
"requestsPerSecond",
"totalNxdomains",
"totalOkRequests",
"totalRequests"
]
}
GET request
GET /reporting-api/v1/reports/security-analytics-edns-traffic-by-time/versions/2/report-data{?start,end,interval,objectIds,allObjectIds,metrics}
Sample: /reporting-api/v1/reports/security-analytics-edns-traffic-by-time/versions/2/report-data?start=2026-03-10T13%3A55%3A00Z&end=2026-03-10T14%3A15%3A00Z&interval=FIVE_MINUTES&objectIds=www.example.com,m.example.com,blog.example.com&metrics=avgNxdomainsPerSecond%2CavgOkPerSecond
Query parameters
| Parameter | Type | Sample | Description |
|---|---|---|---|
| Required | |||
start | String | 2026-03-10T13:55:00Z | Specifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value’s timestamp. |
end | String | 2026-03-10T14:15:00Z | Specifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value’s timestamp. |
interval | Enumeration | FIVE_MINUTES | The duration of each data record. Available values: MONTH, WEEK, DAY, HOUR, FIVE_MINUTES. |
| Optional | |||
allObjectIds | Boolean | true | As an alternative to objectIds, enabling this generates a report that includes all IDs available for the edns objectType. This parameter is ignored if the request also specifies a set of objectIds. |
objectIds | String | www.example.com,m.example.com,blog.example.com | As an alternative to allObjectIds, specifies the set of unique IDs for the edns objectType you want to report on, formatted as a comma-delimited list. |
metrics | String | avgNxdomainsPerSecond,avgOkPerSecond | Specifies a comma-separated list of metrics to include in the report, otherwise all metrics if omitted. The set of available metrics depends on the type of report. URL-encode the entire value in the GET request. |
JSON response
Status 200 application/json
Response body:
{
"metadata": {
"name": "security-analytics-edns-traffic-by-time",
"version": "2",
"outputType": "FLAT",
"groupBy": [
"startdatetime"
],
"interval": "FIVE_MINUTES",
"start": "2026-03-10T13:55:00Z",
"end": "2026-03-10T14:15:00Z",
"availableDataEnds": null,
"suggestedRetryTime": null,
"rowCount": 4,
"filters": [],
"columns": [
{
"name": "groupBy",
"label": "startdatetime"
},
{
"name": "nxdomainsPerSecond",
"label": "NXDOMAINs per second"
},
{
"name": "okRequestsPerSecond",
"label": "OK requests per second"
},
{
"name": "requestsPerSecond",
"label": "Requests per second"
}
],
"objectType": "edns",
"objectIds": [
"www.example.com",
"m.example.com",
"blog.example.com"
]
},
"data": [
{
"startdatetime": "2026-03-10T13:55:00Z",
"nxdomainsPerSecond": "3380.398641",
"okRequestsPerSecond": "4062.080917",
"requestsPerSecond": "4136.048443"
},
{
"startdatetime": "2026-03-10T14:00:00Z",
"nxdomainsPerSecond": "1802.398346",
"okRequestsPerSecond": "1814.843784",
"requestsPerSecond": "661.951896"
},
{
"startdatetime": "2026-03-10T14:05:00Z",
"nxdomainsPerSecond": "712.809463",
"okRequestsPerSecond": "327.260801",
"requestsPerSecond": "4757.363204"
},
{
"startdatetime": "2026-03-10T14:10:00Z",
"nxdomainsPerSecond": "291.261354",
"okRequestsPerSecond": "247.626455",
"requestsPerSecond": "4537.740485"
}
],
"summaryStatistics": {
"avgNxdomainsPerSecond": {
"value": "4334.47884",
"details": {}
},
"avgOkPerSecond": {
"value": "2517.57664",
"details": {}
},
"maxNxdomainsPerSecond": {
"value": "1080.318341",
"details": {}
},
"maxOkPerSecond": {
"value": "1215.513669",
"details": {}
},
"minNxdomainsPerSecond": {
"value": "3517.055952",
"details": {}
},
"minOkPerSecond": {
"value": "4255.808472",
"details": {}
},
"nxdomainPercent": {
"value": "3045",
"details": {}
},
"totalNxdomains": {
"value": "1297",
"details": {}
},
"totalOkRequests": {
"value": "166",
"details": {}
},
"totalRequests": {
"value": "1128",
"details": {}
}
}
}
Get report details
This sample Get a report type operation gets the same information you need to run the security-analytics-edns-traffic-by-time report as provided in this reference documentation, but available dynamically to your API client application.
GET /reporting-api/v1/reports/security-analytics-edns-traffic-by-time/versions/2
Status 200 application/json
Response body:
{
"name": "security-analytics-edns-traffic-by-time",
"description": "This report shows all DNS requests, requests with NXDOMAIN responses, and requests that do not have NXDOMAIN responses.",
"businessObjectName": "edns",
"version": 2,
"status": "PUBLISHED",
"deprecated": false,
"timeBased": true,
"supportsPagination": false,
"outputType": "FLAT",
"available": true,
"metrics": [
{
"name": "totalRequests",
"description": "Total number of DNS requests.",
"label": "Total requests",
"unit": "COUNT",
"summaryStatistic": true
},
{
"name": "totalNxdomains",
"description": "Total number of detected NXDOMAINs.",
"label": "Total NXDOMAINs",
"unit": "COUNT",
"summaryStatistic": true
},
{
"name": "totalOkRequests",
"description": "Total number of DNS requests where no threat was detected.",
"label": "Total OK requests",
"unit": "COUNT",
"summaryStatistic": true
},
{
"name": "requestsPerSecond",
"description": "Number of all DNS requests per second.",
"label": "Requests per second",
"unit": "COUNT_PER_SECOND",
"summaryStatistic": false
},
{
"name": "nxdomainsPerSecond",
"description": "Number of detected NXDOMAINs per second.",
"label": "NXDOMAINs per second",
"unit": "COUNT_PER_SECOND",
"summaryStatistic": false
},
{
"name": "avgNxdomainsPerSecond",
"description": "Average number of NXDOMAINs per second.",
"label": "Average NXDOMAINs per second",
"unit": "COUNT_PER_SECOND",
"summaryStatistic": true
},
{
"name": "maxNxdomainsPerSecond",
"description": "Maximum number of NXDOMAINs (per second) that were detected.",
"label": "Max NXDOMAINs per second",
"unit": "COUNT_PER_SECOND",
"summaryStatistic": true
},
{
"name": "minNxdomainsPerSecond",
"description": "Minimum number of NXDOMAINs detected per second.",
"label": "Min NXDOMAINs per second",
"unit": "COUNT_PER_SECOND",
"summaryStatistic": true
},
{
"name": "okRequestsPerSecond",
"description": "Number of DNS requests (per second) where no threat was detected.",
"label": "OK requests per second",
"unit": "COUNT_PER_SECOND",
"summaryStatistic": false
},
{
"name": "avgOkPerSecond",
"description": "Average number of DNS requests (per second) where no threat was detected.",
"label": "Average OK requests per second",
"unit": "COUNT_PER_SECOND",
"summaryStatistic": true
},
{
"name": "maxOkPerSecond",
"description": "Maximum number of DNS requests (per second) where no threat was detected.",
"label": "Max OK requests per second",
"unit": "COUNT_PER_SECOND",
"summaryStatistic": true
},
{
"name": "minOkPerSecond",
"description": "Minimum number of DNS requests (per second) where no threat was detected.",
"label": "Min OK requests per second",
"unit": "COUNT_PER_SECOND",
"summaryStatistic": true
},
{
"name": "nxdomainPercent",
"description": "Percent of traffic where NXDOMAINs were detected.",
"label": "NXDOMAIN percent",
"unit": "COUNT",
"summaryStatistic": true
}
],
"groupOutlyingValues": {
"enabled": false
},
"groupBy": [
"startdatetime"
],
"intervals": [
"MONTH",
"WEEK",
"DAY",
"HOUR",
"FIVE_MINUTES"
],
"dataRetentionDays": 90,
"links": [
{
"rel": "self",
"href": "/reporting-api/v1/reports/security-analytics-edns-traffic-by-time/versions/2"
},
{
"rel": "versions",
"href": "/reporting-api/v1/reports/security-analytics-edns-traffic-by-time/versions"
},
{
"rel": "all-reports",
"href": "/reporting-api/v1/reports"
},
{
"rel": "execute-report",
"href": "/reporting-api/v1/reports/security-analytics-edns-traffic-by-time/versions/2/report-data"
}
]
}